VCFGENO2HAPLO(1)

NAME

vcfgeno2haplo

SYNOPSIS

vcfgeno2haplo options []

DESCRIPTION

Convert genotype-based phased alleles within –window-size into haplotype alleles. Will break haplotype construction when encountering non-phased genotypes on input.

OPTIONS

    options:
        -h, --help              Print this message
        -v, --version           Print version
        -r, --reference FILE    FASTA reference file
        -w, --window-size N     Merge variants at most this many bp apart (default 30)
        -o, --only-variants     Don't output the entire haplotype, just concatenate
                                REF/ALT strings (delimited by ":")

    Type: transformation

EXIT VALUES

0   Success

not 0
    Failure

SEE ALSO

vcflib(1)

OTHER

LICENSE

Copyright 2011-2024 (C) Erik Garrison and vcflib contributors. MIT licensed. Copyright 2020-2024 (C) Pjotr Prins.

AUTHORS
Erik Garrison and vcflib contributors.